import { RecommendationService } from './RecommendationService';
type Frame = {
    data: any;
    options: any;
    user: any;
    member: any;
};
export declare class RecommendationController {
    #private;
    service: RecommendationService;
    constructor(deps: {
        service: RecommendationService;
    });
    addRecommendation(frame: Frame): Promise<{
        data: {
            id: string;
            title: string;
            reason: string | null;
            excerpt: string | null;
            featured_image: string | null;
            favicon: string | null;
            url: string;
            one_click_subscribe: boolean;
            created_at: Date;
            updated_at: Date | null;
            count: {
                clicks?: number | undefined;
                subscribers?: number | undefined;
            } | undefined;
        }[];
        meta: any;
    }>;
    editRecommendation(frame: Frame): Promise<{
        data: {
            id: string;
            title: string;
            reason: string | null;
            excerpt: string | null;
            featured_image: string | null;
            favicon: string | null;
            url: string;
            one_click_subscribe: boolean;
            created_at: Date;
            updated_at: Date | null;
            count: {
                clicks?: number | undefined;
                subscribers?: number | undefined;
            } | undefined;
        }[];
        meta: any;
    }>;
    deleteRecommendation(frame: Frame): Promise<void>;
    listRecommendations(frame: Frame): Promise<{
        data: {
            id: string;
            title: string;
            reason: string | null;
            excerpt: string | null;
            featured_image: string | null;
            favicon: string | null;
            url: string;
            one_click_subscribe: boolean;
            created_at: Date;
            updated_at: Date | null;
            count: {
                clicks?: number | undefined;
                subscribers?: number | undefined;
            } | undefined;
        }[];
        meta: any;
    }>;
    trackClicked(frame: Frame): Promise<void>;
    trackSubscribed(frame: Frame): Promise<void>;
}
export {};
